Bug 948104 - Review Request: python-gearbox - Command line toolkit born as a PasteScript replacement for TurboGears2
Summary: Review Request: python-gearbox - Command line toolkit born as a PasteScript r...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ralph Bean
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 810626
TreeView+ depends on / blocked
 
Reported: 2013-04-04 02:46 UTC by Luke Macken
Modified: 2016-09-20 02:44 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-04-27 03:18:36 UTC
rbean: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Luke Macken 2013-04-04 02:46:41 UTC
Spec URL: http://lmacken.fedorapeople.org/rpms/python-gearbox.spec
SRPM URL: http://lmacken.fedorapeople.org/rpms/python-gearbox-0.0.1a-1.fc18.src.rpm
Description:
gearbox is a paster command replacement for TurboGears2. It has been
created during the process of providing Python3 support to the TurboGears2
web framework, while still being backward compatible with the existing
TurboGears projects.
Fedora Account System Username: lmacken

Comment 1 Ralph Bean 2013-04-04 15:44:36 UTC
Currently failing to build for me.  Some BuildRequires are needed for the tests to run (like python-paste-deploy).

Comment 2 Luke Macken 2013-04-04 17:10:46 UTC
Sorry about that, forgot the BR on python-setuptools. I also removed the unnecessary %check until upstream ships them.

Comment 3 Luke Macken 2013-04-04 17:22:34 UTC
Package updated with PYTHON 3000 support :)

Comment 4 Ralph Bean 2013-04-04 17:58:27 UTC
Package is APPROVED.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[-]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-gearbox
[x]: Package complies to the Packaging Guidelines
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)", "Unknown or generated". 2 files have unknown
     license. Detailed output of licensecheck in /home/threebean/948104
     -python-gearbox/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 40960 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-gearbox-0.0.1a-1.fc18.noarch.rpm
          python3-gearbox-0.0.1a-1.fc18.noarch.rpm
python-gearbox.noarch: W: spelling-error %description -l en_US paster -> paste, aster, pastier
python-gearbox.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/gearbox/commands/basic_package/template/+package+/__init__.py
python-gearbox.noarch: W: no-manual-page-for-binary gearbox
python3-gearbox.noarch: W: spelling-error %description -l en_US paster -> paste, aster, pastier
python3-gearbox.noarch: E: script-without-shebang /usr/lib/python3.3/site-packages/gearbox/commands/basic_package/template/+package+/__init__.py
2 packages and 0 specfiles checked; 2 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python3-gearbox python-gearbox
python3-gearbox.noarch: W: spelling-error %description -l en_US paster -> paste, aster, pastier
python3-gearbox.noarch: E: script-without-shebang /usr/lib/python3.3/site-packages/gearbox/commands/basic_package/template/+package+/__init__.py
python-gearbox.noarch: W: spelling-error %description -l en_US paster -> paste, aster, pastier
python-gearbox.noarch: W: no-manual-page-for-binary gearbox
2 packages and 0 specfiles checked; 1 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
python3-gearbox (rpmlib, GLIBC filtered):
    python(abi)

python-gearbox (rpmlib, GLIBC filtered):
    /usr/bin/python
    python(abi)
    python-cliff
    python-paste-deploy
    python-prettytable
    python-tempita
    python3-cliff
    python3-paste-deploy
    python3-prettytable
    python3-tempita



Provides
--------
python3-gearbox:
    python3-gearbox

python-gearbox:
    python-gearbox



MD5-sum check
-------------
http://pypi.python.org/packages/source/g/gearbox/gearbox-0.0.1a.tar.gz :
  CHECKSUM(SHA256) this package     : 5277cb0c1883c95228f0288b4392f7a2d582222dae8f1427bc9b5c283ff873de
  CHECKSUM(SHA256) upstream package : 5277cb0c1883c95228f0288b4392f7a2d582222dae8f1427bc9b5c283ff873de


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -b 948104

Comment 5 Luke Macken 2013-04-04 18:08:52 UTC
New Package SCM Request
=======================
Package Name: python-gearbox
Short Description: Command line toolkit born as a PasteScript replacement for TurboGears2
Owners: lmacken ralph
Branches: f19

Comment 6 Gwyn Ciesla 2013-04-04 18:20:56 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2013-04-04 22:10:54 UTC
python-gearbox-0.0.1-0.1.a.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-gearbox-0.0.1-0.1.a.fc19

Comment 8 Fedora Update System 2013-04-05 02:54:36 UTC
python-gearbox-0.0.1-0.1.a.fc19 has been pushed to the Fedora 19 testing repository.

Comment 9 Fedora Update System 2013-04-27 03:18:39 UTC
python-gearbox-0.0.1-0.1.a.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.